Skip to main content
`Ctrl`+`K`

# PCSetPreSolve

Sets function used by `PCPreSolve()` which is intended for any preconditioner-specific actions that must be performed before the iterative solve itself.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCSetPreSolve(PC pc, PetscErrorCode (*presolve)(PC pc, KSP ksp))

Logically Collective

## Input Parameters

- pc - the preconditioner object

- presolve - the function to call before the solve

## Calling sequence of `presolve`

- pc - the `PC` context

- ksp - the `KSP` context

## See Also

KSP: Linear System Solvers, `PC`, `PCSetUp()`, `PCPreSolve()`

## Level

developer

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages